Package com.collibra.dgc.core.api.model

# Enum Class ResourceType

Object
Enum<ResourceType>
ResourceType

All Implemented Interfaces:
  `Serializable`, `Comparable<ResourceType>`, `Constable`

@Deprecated(since="2024.10", forRemoval=true) public enum ResourceType extends Enum<ResourceType>
Deprecated, for removal: This API element is subject to removal in a future version.
This enumeration will not be maintained: New resources will not be added in this enumeration. A new Resource will return `ResourceType.BaseDataType` when `Resource.getResourceType()` is called.
Represents the possible types of resources there are in the system.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Activity`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `ActivityChange`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Address`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `AdvancedDataType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `ArticulationRule`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Asset`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `AssetType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `AssignedCharacteristicType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Assignment`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Attachment`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Attribute`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `AttributeType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `BaseDataType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `BooleanAttribute`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `BooleanAttributeType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Classification`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `ClassificationMatch`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Comment`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Community`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `ComplexRelation`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `ComplexRelationAttributeType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `ComplexRelationLeg`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `ComplexRelationLegType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `ComplexRelationType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `ConnectionStringParameter`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Context`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `CsvIngestionProperties`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `DataQualityMetric`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `DataQualityRule`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `DateAttribute`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `DateAttributeType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `DateTimeAttributeType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `DiagramPicture`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `DiagramPictureAssignmentRule`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `DiagramPictureSharingRule`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Domain`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `DomainType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Email`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `ExcelIngestionProperties`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `FormProperty`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `InstantMessagingAccount`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `JdbcDriver`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `JdbcDriverFile`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `JdbcIngestionProperties`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Job`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `MultiValueListAttribute`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `MultiValueListAttributeType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Notification`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `NumericAttribute`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `NumericAttributeType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `PhoneNumber`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `PhysicalDataConnector`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Rating`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Relation`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `RelationTrace`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `RelationType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Responsibility`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Role`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Scope`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `ScriptAttribute`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `ScriptAttributeType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `SingleValueListAttribute`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `SingleValueListAttributeType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Status`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `StringAttribute`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `StringAttributeType`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Tag`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `User`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `UserGroup`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `ValidationRule`
  Deprecated.
  `View`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `ViewAssignmentRule`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `ViewSharingRule`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Website`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Workflow`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `WorkflowInstance`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `WorkflowTask`
  Deprecated, for removal: This API element is subject to removal in a future version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ResourceType`
  `fromString(String resourceType)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `boolean`
  `isAttributeType()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `boolean`
  `isRepresentation()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `static ResourceType`
  `valueOf(String name)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns the enum constant of this class with the specified name.
  `static ResourceType[]`
  `values()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### View

    public static final ResourceType View
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Asset

    public static final ResourceType Asset
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Community

    public static final ResourceType Community
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Domain

    public static final ResourceType Domain
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### AssetType

    public static final ResourceType AssetType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### DomainType

    public static final ResourceType DomainType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Status

    public static final ResourceType Status
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### User

    public static final ResourceType User
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### ClassificationMatch

    public static final ResourceType ClassificationMatch
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### UserGroup

    public static final ResourceType UserGroup
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Attribute

    public static final ResourceType Attribute
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### StringAttribute

    public static final ResourceType StringAttribute
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### ScriptAttribute

    public static final ResourceType ScriptAttribute
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### BooleanAttribute

    public static final ResourceType BooleanAttribute
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### DateAttribute

    public static final ResourceType DateAttribute
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### NumericAttribute

    public static final ResourceType NumericAttribute
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### SingleValueListAttribute

    public static final ResourceType SingleValueListAttribute
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### MultiValueListAttribute

    public static final ResourceType MultiValueListAttribute
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Comment

    public static final ResourceType Comment
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Attachment

    public static final ResourceType Attachment
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Responsibility

    public static final ResourceType Responsibility
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Workflow

    public static final ResourceType Workflow
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Job

    public static final ResourceType Job
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Relation

    public static final ResourceType Relation
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### RelationType

    public static final ResourceType RelationType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### ComplexRelation

    public static final ResourceType ComplexRelation
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### ComplexRelationType

    public static final ResourceType ComplexRelationType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### ArticulationRule

    public static final ResourceType ArticulationRule
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Assignment

    public static final ResourceType Assignment
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Scope

    public static final ResourceType Scope
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### RelationTrace

    public static final ResourceType RelationTrace
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### ValidationRule

    @Deprecated public static final ResourceType ValidationRule
    Deprecated.

  - ### DataQualityRule

    public static final ResourceType DataQualityRule
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### DataQualityMetric

    public static final ResourceType DataQualityMetric
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Address

    public static final ResourceType Address
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### InstantMessagingAccount

    public static final ResourceType InstantMessagingAccount
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Email

    public static final ResourceType Email
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### PhoneNumber

    public static final ResourceType PhoneNumber
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Website

    public static final ResourceType Website
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Activity

    public static final ResourceType Activity
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### FormProperty

    public static final ResourceType FormProperty
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### WorkflowTask

    public static final ResourceType WorkflowTask
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### ActivityChange

    public static final ResourceType ActivityChange
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### WorkflowInstance

    public static final ResourceType WorkflowInstance
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Role

    public static final ResourceType Role
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### AttributeType

    public static final ResourceType AttributeType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### BooleanAttributeType

    public static final ResourceType BooleanAttributeType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### DateAttributeType

    public static final ResourceType DateAttributeType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### DateTimeAttributeType

    public static final ResourceType DateTimeAttributeType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### MultiValueListAttributeType

    public static final ResourceType MultiValueListAttributeType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### NumericAttributeType

    public static final ResourceType NumericAttributeType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### ScriptAttributeType

    public static final ResourceType ScriptAttributeType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### SingleValueListAttributeType

    public static final ResourceType SingleValueListAttributeType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### StringAttributeType

    public static final ResourceType StringAttributeType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### ViewSharingRule

    public static final ResourceType ViewSharingRule
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### ViewAssignmentRule

    public static final ResourceType ViewAssignmentRule
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### JdbcDriverFile

    public static final ResourceType JdbcDriverFile
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### JdbcDriver

    public static final ResourceType JdbcDriver
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### JdbcIngestionProperties

    public static final ResourceType JdbcIngestionProperties
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### CsvIngestionProperties

    public static final ResourceType CsvIngestionProperties
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### ExcelIngestionProperties

    public static final ResourceType ExcelIngestionProperties
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### ConnectionStringParameter

    public static final ResourceType ConnectionStringParameter
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### AssignedCharacteristicType

    public static final ResourceType AssignedCharacteristicType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Notification

    public static final ResourceType Notification
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Tag

    public static final ResourceType Tag
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### ComplexRelationLegType

    public static final ResourceType ComplexRelationLegType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### ComplexRelationAttributeType

    public static final ResourceType ComplexRelationAttributeType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### ComplexRelationLeg

    public static final ResourceType ComplexRelationLeg
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### BaseDataType

    public static final ResourceType BaseDataType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### AdvancedDataType

    public static final ResourceType AdvancedDataType
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### DiagramPicture

    public static final ResourceType DiagramPicture
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### DiagramPictureSharingRule

    public static final ResourceType DiagramPictureSharingRule
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### DiagramPictureAssignmentRule

    public static final ResourceType DiagramPictureAssignmentRule
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Rating

    public static final ResourceType Rating
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Classification

    public static final ResourceType Classification
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### PhysicalDataConnector

    public static final ResourceType PhysicalDataConnector
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Context

    public static final ResourceType Context
    Deprecated, for removal: This API element is subject to removal in a future version.

- ## Method Details

  - ### values

    public static ResourceType[] values()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ResourceType valueOf(String name)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isAttributeType

    public boolean isAttributeType()
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### isRepresentation

    public boolean isRepresentation()
    Deprecated, for removal: This API element is subject to removal in a future version.

  - ### fromString

    public static ResourceType fromString(String resourceType)
    Deprecated, for removal: This API element is subject to removal in a future version.